#ifndef STSSETTINGS_H
#define STSSETTINGS_H

#include "dm_common_global.h"

#include <QString>
#include <QSettings>


struct DM_COMMONSHARED_EXPORT UserStsData {
    QString username;
    QString domain;
};


class DM_COMMONSHARED_EXPORT StsSettings
{
public:
    explicit StsSettings(const QString& path, const QString& dName, const QString& separator);
    virtual ~StsSettings();

public:
    const UserStsData getPrevUserData() const;
    void savePrevUserData(const UserStsData& data);

private:
    QSettings m_settings;
    QString m_dName;
    QString m_separator;
};

#endif // STSSETTINGS_H
